    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ---------------------------
    028     * ContributorsTableModel.java
    029     * ---------------------------
    030     * (C) Copyright 2001-2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: ContributorsTableModel.java,v 1.4 2005/11/16 15:58:41 taqua Exp $
    036     *
    037     * Changes
    038     * -------
    039     * 10-Dec-2001 : Version 1 (DG);
    040     * 28-Feb-2002 : Moved into package com.jrefinery.ui.about.  Changed import statements and
    041     *               updated Javadoc comments (DG);
    042     * 08-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    043     */
    044
    045    package org.jfree.ui.about;
    046
    047    import java.util.List;
    048    import java.util.ResourceBundle;
    049
    050    import javax.swing.table.AbstractTableModel;
    051
    052    /**
    053     * A table model containing a list of contributors to a project.
    054     * <P>
    055     * Used in the ContributorsPanel class.
    056     *
    057     * @author David Gilbert
    058     */
    059    public class ContributorsTableModel extends AbstractTableModel {
    060
    061        /** Storage for the contributors. */
    062        private List contributors;
    063
    064        /** Localised version of the name column label. */
    065        private String nameColumnLabel;
    066
    067        /** Localised version of the contact column label. */
    068        private String contactColumnLabel;
    069
    070        /**
    071         * Constructs a ContributorsTableModel.
    072         *
    073         * @param contributors  the contributors.
    074         */
    075        public ContributorsTableModel(final List contributors) {
    076
    077            this.contributors = contributors;
    078
    079            final String baseName = "org.jfree.ui.about.resources.AboutResources";
    080            final ResourceBundle resources = ResourceBundle.getBundle(baseName);
    081            this.nameColumnLabel = resources.getString("contributors-table.column.name");
    082            this.contactColumnLabel = resources.getString("contributors-table.column.contact");
    083
    084        }
    085
    086        /**
    087         * Returns the number of rows in the table model.
    088         *
    089         * @return The number of rows.
    090         */
    091        public int getRowCount() {
    092            return this.contributors.size();
    093        }
    094
    095        /**
    096         * Returns the number of columns in the table model.  In this case, there are always two
    097         * columns (name and e-mail address).
    098         *
    099         * @return The number of columns in the table model.
    100         */
    101        public int getColumnCount() {
    102            return 2;
    103        }
    104
    105        /**
    106         * Returns the name of a column in the table model.
    107         *
    108         * @param column  the column index (zero-based).
    109         *
    110         * @return  the name of the specified column.
    111         */
    112        public String getColumnName(final int column) {
    113
    114            String result = null;
    115
    116            switch (column) {
    117
    118                case 0:  result = this.nameColumnLabel;
    119                         break;
    120
    121                case 1:  result = this.contactColumnLabel;
    122                         break;
    123
    124            }
    125
    126            return result;
    127
    128        }
    129
    130        /**
    131         * Returns the value for a cell in the table model.
    132         *
    133         * @param row  the row index (zero-based).
    134         * @param column  the column index (zero-based).
    135         *
    136         * @return the value.
    137         */
    138        public Object getValueAt(final int row, final int column) {
    139
    140            Object result = null;
    141            final Contributor contributor = (Contributor) this.contributors.get(row);
    142
    143            if (column == 0) {
    144                result = contributor.getName();
    145            }
    146            else if (column == 1) {
    147                result = contributor.getEmail();
    148            }
    149            return result;
    150
    151        }
    152
    153    }